tensor_ref.h File Reference

Defines a structure containing strides, bounds, and a pointer to tensor data. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/coord.h"`
`#include "cutlass/platform/platform.h"`
`#include "cutlass/subbyte_reference.h"`
Include dependency graph for tensor_ref.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | cutlass::IdentityTensorLayout< Rank >
class | cutlass::TensorRef< Element_, Layout_ >

## Namespaces

| cutlass

## Functions

template<typename Element , typename Layout >
CUTLASS_HOST_DEVICE TensorRef< Element, Layout > | cutlass::make_TensorRef (Element *ptr, Layout const &layout)
| Constructs a TensorRef, deducing types from arguments. More...
template<typename Element , typename Layout >
bool | cutlass::TensorRef_aligned (TensorRef< Element, Layout > const &ref, int alignment)